SIGIGNORE(3) | Library Functions Manual | SIGIGNORE(3)

# NAME

sigignore — manipulate signal dispositions

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <signal.h>

int
sigignore(int sig);

# DESCRIPTION

This interface is made obsolete by sigaction(2).

The sigignore() function sets the disposition of the signal sig to SIG_IGN.

# RETURN VALUES

If successful, the sigignore() function returns 0. Otherwise -1 is returned and errno is set to indicate the error.

# ERRORS

The sigignore() function will fail if:

[EINVAL]
  The argument sig is not a valid signal number; or an attempt is made to ignore a signal that cannot be ignored, such as SIGKILL or SIGSTOP.

# SEE ALSO

sigaction(2)

# STANDARDS

The sigignore() function conforms to IEEE Std 1003.1-2001 (“POSIX.1”). It was however marked as obsolete in the IEEE Std 1003.1-2008 (“POSIX.1”) revision of the standard.

April 30, 2010 | NetBSD 7.2